Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## j3deditor.bin.hierarchy
Class J3DeTextureAttributes

    java.lang.Object
      j3deditor.bin.hierarchy.HierarchyNode
          j3deditor.bin.hierarchy.J3DeObject
              j3deditor.bin.hierarchy.J3DeTextureAttributes

All Implemented Interfaces:
  Copyable, Cuttable, Deletable

    public class J3DeTextureAttributes

extends J3DeObject

Contains and manages an instance of `javax.media.j3d.TextureAttributes`.

Author:
  Risto Seene
See Also:
  `TextureAttributes`

Constructor Summary
`J3DeTextureAttributes(javax.media.j3d.Appearance appearance)` Creates an instance of `J3DeTextureAttributes` with the `TextureAttributes` object from the given `Appearance` object.

Method Summary
`int` | `getCombineColorFunction()`
`java.lang.String[]` | `getCombineColorFunctionItems()` Returns combine color function names.
`int` | `getCombineColorFunctionTarget()` Returns current combine color function target.
`java.lang.String[]` | `getCombineColorFunctionTargetItems()` Returns combine color function target names.
`int` | `getCombineColorSource()`
`java.lang.String[]` | `getCombineColorSourceItems()` Returns an array of combine color source names.
`int` | `getCombineColorSourceTarget()` Returns the current combine color source target.
`java.lang.String[]` | `getCombineColorSourceTargetItems()` Returns an array of combine color source target names.
`int` | `getCombineMode()`
`java.lang.String[]` | `getCombineModeItems()` Returns an array of combine mode names.
`int` | `getCombineModeTarget()` Returns the current combine mode target.
`java.lang.String[]` | `getCombineModeTargetItems()` Returns an array of combine mode target names.
`int` | `getCombineScaleFactor()`
`int` | `getCombineScaleFactorMode()` Returns the current combine scale factor mode.
`java.lang.String[]` | `getCombineScaleFactorModeItems()` Returns an array of combine scale factor mode names.
`int` | `getPerspectiveCorrection()`
`java.lang.String[]` | `getPerspectiveCorrectionItems()` Returns an array of perspective correction mode names.
`int` | `getTextureMode()`
`java.lang.String[]` | `getTextureModeItems()` Returns an array of texture mode names.
`void` | `rotate(float x, float y, float z)` Manipulates the rotation of texture image.
`void` | `rotateZ(float angle, boolean isLocal)` Manipulates the rotation of texture image.
`void` | `rotateX(float angle, boolean isLocal)` Manipulates the rotation of texture image.
`void` | `rotateY(float angle, boolean isLocal)` Manipulates the rotation of texture image.
`void` | `scale(float x, float y, float z)` Manipulates the scale of texture image.
`void` | `scaleZ(float z, boolean isLocal)` Manipulates the scale of texture image.
`void` | `scaleX(float x, boolean isLocal)` Manipulates the scale of texture image.
`void` | `scaleY(float y, boolean isLocal)` Manipulates the scale of texture image.
`void` | `setCombineColorFunction(int function)`
`void` | `setCombineColorFunctionTarget(int target)` Sets the current combine color function target.
`void` | `setCombineColorSource(int src)`
`void` | `setCombineColorSourceTarget(int target)` Sets the current combine color source target.
`void` | `setCombineMode(int mode)`
`void` | `setCombineModeTarget(int target)` Sets the current combine mode target.
`void` | `setCombineScaleFactor(int scale)`
`void` | `setCombineScaleFactorMode(int mode)` Sets the current combine scale factor mode.
`void` | `setPerspectiveCorrection(int mode)`
`void` | `setTextureMode(int mode)`
`void` | `translate(float x, float y, float z)` Manipulates the position of texture image.
`void` | `translateZ(float z, boolean isLocal)` Manipulates the position of texture image.
`void` | `translateX(float x, boolean isLocal)` Manipulates the position of texture image.
`void` | `translateY(float y, boolean isLocal)` Manipulates the position of texture image.

Methods inherited from class j3deditor.bin.hierarchy.J3DeObject
`clone, delete, get3DObject, getObject, getRotationZ, getRotationX, getRotationY, getScaleZ, getScaleX, getScaleY, getTranslationZ, getTranslationX, getTranslationY, initObject, scaleAll, setNode, setObject`

Methods inherited from class j3deditor.bin.hierarchy.HierarchyNode
`equals, getChild, getIndex, getIndexOfChild, getNumberOfChildren, getParent, getParent, getType, hasNamedChild, removeChild, setName, setParent, toString, updateName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### J3DeTextureAttributes

    public J3DeTextureAttributes(javax.media.j3d.Appearance appearance)

  Creates an instance of `J3DeTextureAttributes` with the `TextureAttributes` object from the given `Appearance` object.

  Parameters:
    `appearance` - an instance of `Appearance` which texture attributes component is not `null`

Method Detail

### getCombineScaleFactor

    public int getCombineScaleFactor()

  See Also:
    `TextureAttributes.getCombineRgbScale()`, `TextureAttributes.getCombineAlphaScale()`

### setCombineScaleFactor

    public void setCombineScaleFactor(int scale)

  See Also:
    `TextureAttributes.setCombineRgbScale(int s)`, `TextureAttributes.setCombineAlphaScale(int s)`

### getCombineScaleFactorModeItems

    public java.lang.String[] getCombineScaleFactorModeItems()

  Returns an array of combine scale factor mode names.

  Returns:
    Returns an array of combine scale factor mode names

### getCombineScaleFactorMode

    public int getCombineScaleFactorMode()

  Returns the current combine scale factor mode.

  Returns:
    Returns the current combine scale factor mode

### setCombineScaleFactorMode

    public void setCombineScaleFactorMode(int mode)

  Sets the current combine scale factor mode.

  Parameters:
    `mode` - new mode

### getTextureModeItems

    public java.lang.String[] getTextureModeItems()

  Returns an array of texture mode names.

  Returns:
    Returns an array of texture mode names

### getTextureMode

    public int getTextureMode()

  See Also:
    `TextureAttributes.getTextureMode()`

### setTextureMode

    public void setTextureMode(int mode)

  See Also:
    `TextureAttributes.setTextureMode(int m)`

### getCombineModeItems

    public java.lang.String[] getCombineModeItems()

  Returns an array of combine mode names.

  Returns:
    Returns an array of combine mode names

### getCombineMode

    public int getCombineMode()

  See Also:
    `TextureAttributes.getCombineRgbMode()`, `TextureAttributes.getCombineAlphaMode()`

### setCombineMode

    public void setCombineMode(int mode)

  See Also:
    `TextureAttributes.setCombineRgbMode(int m)`, `TextureAttributes.setCombineAlphaMode(int m)`

### getCombineModeTargetItems

    public java.lang.String[] getCombineModeTargetItems()

  Returns an array of combine mode target names.

  Returns:
    Returns an array of combine mode target names

### getCombineModeTarget

    public int getCombineModeTarget()

  Returns the current combine mode target.

  Returns:
    Returns the current combine mode target

### setCombineModeTarget

    public void setCombineModeTarget(int target)

  Sets the current combine mode target.

  Parameters:
    `target` - new target

### getCombineColorSourceItems

    public java.lang.String[] getCombineColorSourceItems()

  Returns an array of combine color source names.

  Returns:
    Returns an array of combine color source names

### getCombineColorSource

    public int getCombineColorSource()

  See Also:
    `TextureAttributes.getCombineRgbSource(int s)`, `TextureAttributes.getCombineAlphaSource(int s)`

### setCombineColorSource

    public void setCombineColorSource(int src)

  See Also:
    `TextureAttributes.setCombineRgbSource(int t, int s)`, `TextureAttributes.setCombineAlphaSource(int t, int s)`

### getCombineColorSourceTargetItems

    public java.lang.String[] getCombineColorSourceTargetItems()

  Returns an array of combine color source target names.

  Returns:
    Returns an array of combine color source target names

### getCombineColorSourceTarget

    public int getCombineColorSourceTarget()

  Returns the current combine color source target.

  Returns:
    Returns the current combine color source target

### setCombineColorSourceTarget

    public void setCombineColorSourceTarget(int target)

  Sets the current combine color source target.

  Parameters:
    `target` - new target

### getCombineColorFunctionItems

    public java.lang.String[] getCombineColorFunctionItems()

  Returns combine color function names.

  Returns:
    Returns combine color function names

### getCombineColorFunction

    public int getCombineColorFunction()

  See Also:
    `TextureAttributes.getCombineRgbFunction(int f)`, `TextureAttributes.getCombineAlphaFunction(int f)`

### setCombineColorFunction

    public void setCombineColorFunction(int function)

  See Also:
    `TextureAttributes.setCombineRgbFunction(int t, int f)`, `TextureAttributes.setCombineAlphaFunction(int t, int f)`

### getCombineColorFunctionTargetItems

    public java.lang.String[] getCombineColorFunctionTargetItems()

  Returns combine color function target names.

  Returns:
    Returns combine color function target names

### getCombineColorFunctionTarget

    public int getCombineColorFunctionTarget()

  Returns current combine color function target.

  Returns:
    Returns current combine color function target

### setCombineColorFunctionTarget

    public void setCombineColorFunctionTarget(int target)

  Sets the current combine color function target.

  Parameters:
    `target` - new target

### translateX

    public void translateX(float x,
                           boolean isLocal)

  Manipulates the position of texture image.

  Overrides:
    `translateX` in class `J3DeObject`
  Parameters:
    `x` - change of position on X-axis
    `isLocal` - if true transformed in local coordinate system, otherwise global
  See Also:
    `J3DeObject.translateX(float x, boolean isLocal)`

### translateY

    public void translateY(float y,
                           boolean isLocal)

  Manipulates the position of texture image.

  Overrides:
    `translateY` in class `J3DeObject`
  Parameters:
    `y` - change of position on Y-axis
    `isLocal` - if true transformed in local coordinate system, otherwise global
  See Also:
    `J3DeObject.translateY(float y, boolean isLocal)`

### translateZ

    public void translateZ(float z,
                           boolean isLocal)

  Manipulates the position of texture image.

  Overrides:
    `translateZ` in class `J3DeObject`
  Parameters:
    `z` - change of position on Z-axis
    `isLocal` - if true transformed in local coordinate system, otherwise global
  See Also:
    `J3DeObject.translateZ(float z, boolean isLocal)`

### translate

    public void translate(float x,
                          float y,
                          float z)

  Manipulates the position of texture image.

  Overrides:
    `translate` in class `J3DeObject`
  Parameters:
    `x` - change of position on X-axis
    `y` - change of position on Y-axis
    `z` - change of position on Z-axis
  See Also:
    `J3DeObject.translate(float x, float y, float z)`

### scaleX

    public void scaleX(float x,
                       boolean isLocal)

  Manipulates the scale of texture image.

  Overrides:
    `scaleX` in class `J3DeObject`
  Parameters:
    `x` - change of scale on X-axis
    `isLocal` - if true transformed in local coordinate system, otherwise global
  See Also:
    `J3DeObject.scaleX(float x, boolean isLocal)`

### scaleY

    public void scaleY(float y,
                       boolean isLocal)

  Manipulates the scale of texture image.

  Overrides:
    `scaleY` in class `J3DeObject`
  Parameters:
    `y` - change of scale on Y-axis
    `isLocal` - if true transformed in local coordinate system, otherwise global
  See Also:
    `J3DeObject.scaleY(float y, boolean isLocal)`

### scaleZ

    public void scaleZ(float z,
                       boolean isLocal)

  Manipulates the scale of texture image.

  Overrides:
    `scaleZ` in class `J3DeObject`
  Parameters:
    `z` - change of scale on Z-axis
    `isLocal` - if true transformed in local coordinate system, otherwise global
  See Also:
    `J3DeObject.scaleZ(float z, boolean isLocal)`

### scale

    public void scale(float x,
                      float y,
                      float z)

  Manipulates the scale of texture image.

  Overrides:
    `scale` in class `J3DeObject`
  Parameters:
    `x` - change of scale on X-axis
    `y` - change of scale on Y-axis
    `z` - change of scale on Z-axis
  See Also:
    `J3DeObject.scale(float x, float y, float z)`

### rotateX

    public void rotateX(float angle,
                        boolean isLocal)

  Manipulates the rotation of texture image.

  Overrides:
    `rotateX` in class `J3DeObject`
  Parameters:
    `angle` - angle of rotation around X-axis
    `isLocal` - if true transformed in local coordinate system, otherwise global
  See Also:
    `J3DeObject.rotateX(float angle, boolean isLocal)`

### rotateY

    public void rotateY(float angle,
                        boolean isLocal)

  Manipulates the rotation of texture image.

  Overrides:
    `rotateY` in class `J3DeObject`
  Parameters:
    `angle` - angle of rotation around Y-axis
    `isLocal` - if true transformed in local coordinate system, otherwise global
  See Also:
    `J3DeObject.rotateY(float angle, boolean isLocal)`

### rotateZ

    public void rotateZ(float angle,
                        boolean isLocal)

  Manipulates the rotation of texture image.

  Overrides:
    `rotateZ` in class `J3DeObject`
  Parameters:
    `angle` - angle of rotation around Z-axis
    `isLocal` - if true transformed in local coordinate system, otherwise global
  See Also:
    `J3DeObject.rotateZ(float angle, boolean isLocal)`

### rotate

    public void rotate(float x,
                       float y,
                       float z)

  Manipulates the rotation of texture image.

  Overrides:
    `rotate` in class `J3DeObject`
  Parameters:
    `x` - angle of rotation around X-axis
    `y` - angle of rotation around Y-axis
    `z` - angle of rotation around Z-axis
  See Also:
    `J3DeObject.rotate(float x, float y, float z)`

### getPerspectiveCorrectionItems

    public java.lang.String[] getPerspectiveCorrectionItems()

  Returns an array of perspective correction mode names.

  Returns:
    an array of perspective correction mode names

### getPerspectiveCorrection

    public int getPerspectiveCorrection()

  See Also:
    `TextureAttributes.getPerspectiveCorrectionMode()`

### setPerspectiveCorrection

    public void setPerspectiveCorrection(int mode)

  See Also:
    `TextureAttributes.setPerspectiveCorrectionMode(int m)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD